summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorMilk Brewster2020-04-18 15:23:15 +0100
committerMilk Brewster2020-04-18 15:23:15 +0100
commita561f2df39802318ffcb4ff9c06a057ccfdd7e2a (patch)
tree42e7cb5ed7bfdb1092046b8cc70c310aab322799 /PKGBUILD
downloadaur-ssr.lv2-git.tar.gz
iniiiitial commit
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..800f6575b2f
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Milkii Brewster <milkii on Freenode IRC>
+pkgname=ssr.lv2-git
+pkgdesc="A sympathetic string resonator."
+pkgver=r3.a40fa53
+pkgrel=1
+epoch=
+arch=(x86_64)
+url="https://github.com/jpcima/ssr"
+license=(MIT)
+groups=(lv2-plugins)
+depends=('git' 'pkgconf' 'cairo' 'jack' 'mesa')
+makedepends=()
+checkdepends=()
+optdepends=()
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+changelog=
+source=(ssr.lv2-git::git+https://github.com/jpcima/ssr)
+noextract=()
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "$pkgname"
+ git submodule update --init --recursive
+}
+
+build() {
+ cd "$pkgname"
+ make
+}
+
+package() {
+ cd "$pkgname"
+ make PREFIX=/usr DESTDIR="$pkgdir/" BUILD_VST2=false BUILD_JACK=false install
+}